Name: x11-driver-video-sis
Version: 0.10.9
Release: %mkrel 1
Summary: X.org driver for SiS Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-sis-%{version}.tar.bz2

License: MIT
 
BuildRequires: libdrm-devel >= 2.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0


%description
x11-driver-video-sis is the X.org driver for SiS Cards.

%prep
%setup -q -n xf86-video-sis-%{version}
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%exclude %{_libdir}/xorg/modules/drivers/sis_drv.la
%{_libdir}/xorg/modules/drivers/sis_drv.so
%{_mandir}/man4/sis.*




%changelog
* Wed Jan 18 2017 tv <tv> 0.10.9-1.mga6
+ Revision: 1082233
- new release

* Thu Nov 17 2016 tv <tv> 0.10.8-9.mga6
+ Revision: 1067787
- add fixes from git
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.10.8-7.mga6
+ Revision: 1043288
- rebuild for xorg-server 1.18.4

* Tue May 31 2016 tv <tv> 0.10.8-6.mga6
+ Revision: 1019614
- rebuild for ARM

* Mon May 30 2016 tv <tv> 0.10.8-5.mga6
+ Revision: 1019411
- do not package la file

* Wed Feb 17 2016 umeabot <umeabot> 0.10.8-4.mga6
+ Revision: 963406
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 0.10.8-3.mga6
+ Revision: 902314
- submit to core/release

* Wed Nov 11 2015 tv <tv> 0.10.8-2.mga6
+ Revision: 902064
- rebuild for new xserver

* Mon Aug 31 2015 tv <tv> 0.10.8-1.mga6
+ Revision: 871601
- new release for marja

* Tue Jun 23 2015 tv <tv> 0.10.7-16.mga6
+ Revision: 841416
- fix build with xserver 1.17
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 0.10.7-16.mga5
+ Revision: 750886
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.7-15.mga5
+ Revision: 690456
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 0.10.7-14.mga5
+ Revision: 635052
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.10.7-13.mga5
+ Revision: 633697
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.10.7-12.mga5
+ Revision: 614387
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 0.10.7-11.mga5
+ Revision: 582347
- fix testing resolution

* Mon Dec 23 2013 tv <tv> 0.10.7-10.mga4
+ Revision: 560101
- fix testing resolution

* Fri Dec 06 2013 tmb <tmb> 0.10.7-9.mga4
+ Revision: 555610
- rebuild for new mesa

* Sat Oct 19 2013 umeabot <umeabot> 0.10.7-8.mga4
+ Revision: 525503
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 0.10.7-7.mga4
+ Revision: 433199
- submit to core/release

* Fri May 24 2013 tv <tv> 0.10.7-6.mga4
+ Revision: 425757
- patch 6: fix build with xserver-1.14

* Sun Apr 28 2013 anssi <anssi> 0.10.7-6.mga3
+ Revision: 411532
- fix X server crash without noaccel (mga #7521, patch from Archlinux)

* Sat Feb 09 2013 tmb <tmb> 0.10.7-5.mga3
+ Revision: 397434
- Remove mibstore.h (P3)
- Stop including xf86Priv.h (P4)

* Mon Jan 14 2013 umeabot <umeabot> 0.10.7-4.mga3
+ Revision: 386024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 19 2012 tv <tv> 0.10.7-3.mga3
+ Revision: 296257
- fix X not starting after first run (X.Org bug#18028)

* Thu Sep 06 2012 tv <tv> 0.10.7-2.mga3.nonfree
+ Revision: 288974
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 0.10.7-1.mga3
+ Revision: 273757
- new release

* Thu Jul 12 2012 tv <tv> 0.10.6-1.mga3
+ Revision: 270200
- new release

* Wed Jun 06 2012 tmb <tmb> 0.10.4-3.mga3
+ Revision: 256485
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.10.4-2.mga3
+ Revision: 253023
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.10.4-1.mga3
+ Revision: 249897
- new release

* Tue Dec 06 2011 tmb <tmb> 0.10.3-6.mga2
+ Revision: 177663
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.10.3-5.mga2
+ Revision: 153132
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 0.10.3-4.mga1
+ Revision: 64414
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 0.10.3-3.mga1
+ Revision: 50299
- imported package x11-driver-video-sis

